<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:id="@+id/rootView"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/white"
    android:orientation="vertical">

    <include layout="@layout/include_left_back_title" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:gravity="center"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:gravity="center"
            android:orientation="horizontal">

            <com.pengxh.kt.lite.widget.DeleteEditText
                android:id="@+id/searchDeviceView"
                android:layout_width="0dp"
                android:layout_height="@dimen/dp_40"
                android:layout_margin="@dimen/dp_10"
                android:layout_weight="1"
                android:background="@drawable/bg_stroke_layout_main_radius_7"
                android:hint="请输入设备型号或系列"
                android:padding="@dimen/dp_10"
                android:singleLine="true"
                android:textColorHint="#551D55C6"
                android:textSize="16sp" />

            <ImageView
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:layout_marginEnd="@dimen/dp_10"
                android:src="@drawable/ic_scan" />
        </LinearLayout>

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="match_parent"
            android:orientation="horizontal">

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/deviceTypeRecyclerView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1"
                app:layoutManager="androidx.recyclerview.widget.LinearLayoutManager" />

            <View
                android:layout_width="@dimen/lineViewSize"
                android:layout_height="match_parent"
                android:background="@color/mainBackColor" />

            <androidx.core.widget.NestedScrollView
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2.5">

                <ImageView
                    android:layout_width="match_parent"
                    android:layout_height="match_parent"
                    android:background="@mipmap/no_iot"
                    android:scaleType="centerCrop" />
            </androidx.core.widget.NestedScrollView>

            <androidx.recyclerview.widget.RecyclerView
                android:id="@+id/deviceRecyclerView"
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="2.5"
                android:visibility="gone"
                app:layoutManager="androidx.recyclerview.widget.GridLayoutManager"
                app:spanCount="3" />
        </LinearLayout>
    </LinearLayout>
</LinearLayout>